/*
 * gyach.h
 *
 * Copyright 2000, Chris Pinkham.
 * All Rights Reserved.
 */


#ifndef _GYACH_H_
#define _GYACH_H_

#include <stdio.h>

#include <gtk/gtk.h>
#include <gdk/gdk.h>

#define GYACH_EMAIL	"cpinkham@infi.net"
#define GYACH_URL	"http://www4.infi.net/~cpinkham/gyach/"

extern int debug_level;
extern int debug_packets;

extern GtkWidget * login_window;
extern GtkWidget * chat_window;
extern GtkWidget * chat_text;
extern GtkWidget * chat_entry;
extern GtkWidget * chat_emotions;
extern GtkWidget * chat_users;
extern GtkWidget * chat_user_menu;
extern GtkWidget * emote_menu;
extern GtkWidget * emote_window;
extern GtkWidget * pm_window;
extern GtkWidget * pm_entry;
extern GtkWidget * pm_user;
extern GtkWidget * profile_window;
extern GtkWidget * about_box;
extern GtkWidget * setup_window;

extern int  emotion_count;
extern char *user_selected;
extern int  emote_selected;
extern char *follow_user;

extern char *capture_filename;
extern FILE *capture_fp;

extern int  my_status;
extern time_t auto_away_time;

extern int  use_blended_colors;
extern int  use_my_colors;
extern int  use_my_font;
extern int  def_user;
extern int  auto_away;
extern char *username0;
extern char *username1;
extern char *username2;
extern char *username3;
extern char *username4;
extern char *password0;
extern char *password1;
extern char *password2;
extern char *password3;
extern char *password4;
extern char *def_room;
extern char *fav_room0;
extern char *fav_room1;
extern char *fav_room2;
extern char *fav_room3;
extern char *fav_room4;
extern char *fav_room5;
extern char *fav_room6;
extern char *fav_room7;
extern char *fav_room8;
extern char *fav_room9;

extern char username[];
extern char password[];
extern char roomname[];

extern char cfg_dir[];

extern int connected;
extern int valid_user;

/* some support function prototypes */
void gyach_init();
void read_config();
void set_loaded_options();
void write_config();
void read_emotions();
void save_emotions();
void display_profile( char *user );
void display_url( char *url );
void edit_emote();
int find_user_row( char *user );
void ignore_add( char *user );
void ignore_remove( char *user );
int ignore_check( char *user );
int auto_ignore_check( char *str );
int chars_match( char *str1, char *str2 );
void ignore_load();
void ignore_save();
void ignore_toggle( char *user );
void dump_packet();
void highlight_urls( char *str );
void strip_junk( char *str );
void tab_complete_username();
void capture_text_to_file( char *filename );

#endif /* #ifndef _GYACH_H_ */
